#ifndef DOS_PIPE_INTERNAL
#define DOS_PIPE_INTERNAL

#ifdef DOS_DEBUG_SUPPORT
extern bool keep_pipe_files;
extern bool log_pipe_files;
extern char *pipe_log_filename;

extern char *pipe_log_buffer;
extern char *pipe_log_buffer_ptr;

extern char *bash_script_line_buffer;
extern char *bash_script_name;
extern char *previous_script_name;
#endif /* DOS_DEBUG_SUPPORT */

struct pipe_t
{
  int fds[3];
  char *name;
};

#define READ_END   0
#define WRITE_END  1
#define BACK_UP    2

#if !defined (OPEN_MAX)
#define OPEN_MAX (256 - 10)  /*  Bash uses the upper FD to open its script.  */
#endif

#endif /* DOS_PIPE_INTERNAL */
